Subject: [bug#55317] [PATCH] doc: Clarify guix shell's DWIM behaviour.

From: Ludovic Courtès <[email-masked]>
Date: Sat, 14 May 2022 11:16:58 +0200

Hi,

Liliana Marie Prikler <[email-masked]> skribis:

> +++ b/doc/guix.texi
> @@ -5693,17 +5693,16 @@ before @command{guix shell} was invoked.  The next garbage collection
>  (@pxref{Invoking guix gc}) may clean up packages that were installed in
>  the environment and that are no longer used outside of it.
>  
> -As an added convenience, when running from a directory that contains a
> -@file{manifest.scm} or a @file{guix.scm} file (in this order), possibly
> -in a parent directory, @command{guix shell} automatically loads the
> -file---provided the directory is listed in
> -@file{~/.config/guix/shell-authorized-directories}, and only for
> -interactive use:
> -
> -@example
> -guix shell
> -@end example
> -
> +As an added convenience, @command{guix shell} when invoked interactively
> +without any other arguments will try to do what you mean based on the
> +files it locates in the current directory or parent directories.
> +If it finds a @file{manifest.scm}, it uses this manifest as though
> +it was given via @code{--manifest}.
> +If it finds a @file{guix.scm}, it uses this package file as though
> +it was given via @code{--development --file}.
> +In either case, the file will only be loaded if the directory it
> +resides in is listed in
> +@file{~/.config/guix/shell-authorized-directories}.
>  This provides an easy way to define, share, and enter development
>  environments.

It’s clearer like this, so go for it!  Maybe you can keep the @example
bit as that makes an easily visible anchor in the text.

Thank you,
Ludo’.